> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all invoice items

> List all invoice items



## OpenAPI

````yaml openapi-billing.json GET /v1/invoice_items
openapi: 3.1.0
info:
  title: Yorlet Billing API
  description: APIs for managing invoices, coupons, credit grants, and subscription items.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/invoice_items:
    get:
      tags:
        - Invoice Items
      summary: List all invoice items
      description: List all invoice items
      operationId: invoice_items_list
      responses:
        '200':
          description: List all invoice items
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                    description: Total number of items in the list.
                    example: 1
                  has_more:
                    type: boolean
                    description: Whether more items are available.
                    example: false
                  object:
                    type: string
                    enum:
                      - list
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the object.
                        created:
                          type: number
                          description: >-
                            Time at which the object was created. Measured in
                            seconds since the Unix epoch.
                        account:
                          type: string
                          description: >-
                            The account that the object belongs to. Only
                            returned if the request is made with a valid
                            Yorlet-Context header.
                        deleted:
                          type: boolean
                          default: false
                          description: Only returned if the object has been deleted.
                        object:
                          type: string
                          enum:
                            - invoice_item
                        amount:
                          type: integer
                          description: >-
                            The amount to be charged, represented as a whole
                            integer if possible.
                        apply_after:
                          type:
                            - integer
                            - 'null'
                          description: >-
                            The date after which the invoice item will be
                            applied.
                        credit_amount:
                          type: integer
                          description: >-
                            The amount of the credit to be applied to the
                            invoice item.
                        currency:
                          type: string
                          description: >-
                            Three-letter ISO currency code, in lowercase. Must
                            be a supported currency.
                        customer:
                          type: string
                          description: The ID of the customer the invoice item is for.
                        description:
                          type:
                            - string
                            - 'null'
                          description: >-
                            The description for the invoice item, to be
                            displayed to the customer.
                        discount:
                          type: integer
                          default: 0
                          description: >-
                            The amount of the discount applied to the invoice
                            item.
                        discount_amount:
                          type: integer
                          description: >-
                            The amount of the discount to be applied to the
                            invoice item.
                        invoice:
                          type:
                            - string
                            - 'null'
                          pattern: ^[a-zA-Z0-9_]+$
                          description: The ID of the invoice the invoice item is for.
                        metadata:
                          type:
                            - object
                            - 'null'
                          additionalProperties:
                            type: string
                          description: >-
                            Set of key-value pairs that you can attach to an
                            object. This can be useful for storing additional
                            information about the object in a structured format.
                        part_payment_amount:
                          type: integer
                          default: 0
                          description: >-
                            The amount of the part payments already applied to
                            the invoice item.
                        price_data:
                          type:
                            - object
                            - 'null'
                          properties:
                            amount:
                              type: integer
                              description: >-
                                The amount to be charged, represented as a whole
                                integer if possible.
                            currency:
                              type: string
                              description: >-
                                Three-letter ISO currency code, in lowercase.
                                Must be a supported currency.
                            recurring:
                              type:
                                - object
                                - 'null'
                              properties:
                                interval:
                                  type: string
                                  description: The interval of the price data.
                                interval_count:
                                  type: integer
                                  description: The interval count of the price data.
                              required:
                                - interval
                                - interval_count
                            tax_percent:
                              type: number
                              minimum: 0
                              maximum: 100
                              description: >-
                                The tax percentage to use when calculating the
                                tax amount.
                            type:
                              type: string
                              enum:
                                - recurring
                                - one_time
                              description: The type of the price data.
                          required:
                            - amount
                            - currency
                            - recurring
                            - tax_percent
                            - type
                        price:
                          type:
                            - string
                            - 'null'
                          pattern: ^[a-zA-Z0-9_]+$
                          description: The ID of the price object.
                        proration_amount:
                          type: integer
                          description: >-
                            The amount of the proration to be applied to the
                            invoice item.
                        tax:
                          type: integer
                          default: 0
                          description: The amount of tax applied to the invoice item.
                        tax_percent:
                          type: number
                          minimum: 0
                          maximum: 100
                          description: >-
                            The tax percentage to use when calculating the tax
                            amount.
                        total_credit_grant_amount:
                          type: integer
                          description: The total credit grant amount for the invoice item.
                        transfer_behavior:
                          type: string
                          enum:
                            - automatic
                            - owner
                            - none
                          default: automatic
                          description: >-
                            The invoice item transfer behavior. The default is
                            automatic.
                        transfer_destination:
                          type:
                            - string
                            - 'null'
                          description: >-
                            ID of the owner that will be the transfer
                            destination. Only allowed when the invoice item
                            transfer behavior is owner.
                        type:
                          type: string
                          enum:
                            - charge
                            - rent
                            - product
                          description: The type of the invoice item.
                        unit:
                          type:
                            - string
                            - 'null'
                          pattern: ^[a-zA-Z0-9_]+$
                          description: The ID of the unit the invoice item is for.
                      required:
                        - id
                        - created
                        - object
                        - amount
                        - apply_after
                        - credit_amount
                        - currency
                        - customer
                        - description
                        - discount_amount
                        - invoice
                        - price_data
                        - price
                        - proration_amount
                        - tax_percent
                        - total_credit_grant_amount
                        - transfer_destination
                        - type
                        - unit
                required:
                  - count
                  - has_more
                  - object
                  - data
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````